package com.ys.bdtp.android.base.services

import android.os.Build
import android.os.VibrationEffect
import android.os.Vibrator

/**
 * 震动器服务对象
 *
 * @author  庞利祥(sybotan@126.com)
 */
object SVibratorService {
    /** 震动器 */
    var vibrator: Vibrator? = null

    /**
     * 震动器震动
     *
     * @param   millisecond     震动时间，单位毫秒*
     */
    fun vibrate(millisecond: Long, amplitude: Int = 128) {

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {           // API 26 以上使用以下代码
            val vibrationEffect  = VibrationEffect.createOneShot(millisecond, amplitude)
            vibrator?.vibrate(vibrationEffect)
        } else {
            vibrator?.vibrate(millisecond)
        }


        return
    } // Function vibrate()

} // Class SVibratorService